=== debian/changelog ===
ros-indigo-sr-self-test (1.4.0-0trusty) trusty; urgency=high

  * Modified behaviour in case there is no HOME to fallback to /tmp only
  * Moved gnuplot as a run dependency since sr_self_test is also running outside the gtest
    Fixed missing image_path
  * ported the multiuser fix for sr_self_test to indigo

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 23:00:00 -0000

ros-indigo-sr-self-test (1.3.1-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 23:00:00 -0000

ros-indigo-sr-self-test (1.3.0-0trusty) trusty; urgency=high

  * first hydro release

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 11 Feb 2014 00:00:00 -0000
