=== debian/control ===
Source: ros-indigo-sr-self-test
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-self-test, ros-indigo-sr-hand, ros-indigo-sr-movements, ros-indigo-sr-robot-msgs
Homepage: http://ros.org/wiki/sr_self_test
Standards-Version: 3.9.2

Package: ros-indigo-sr-self-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnuplot, ros-indigo-roscpp, ros-indigo-self-test, ros-indigo-sr-hand, ros-indigo-sr-movements, ros-indigo-sr-robot-msgs
Description: sr_self_test
